<?php
/**************************************************
  Coppermine 1.5.x Plugin - maskurl
**************************************************/

// Make sure that this file can't be accessed directly, but only from within the Coppermine user interface
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

// Strings used on the plugin manager screen
$lang_plugin_maskurl['plugin_name'] = 'Mask URLs'; // Your plugin's long name here
$lang_plugin_maskurl['plugin_description'] = 'Mask url containing image path to limit ability for user to access un-marked photo.'; // Describe what your plugin does here
$lang_plugin_maskurl['install_info'] = 'Normal Plugin Install - Configure after install to select options and activate'; // Before the plugin is installed, this line will show in the plugin manager as additional information
$lang_plugin_maskurl['extra_info'] = 'For detailed information, view readme.txt in the plugin folder.'; // Extra information that shows up in the plugin manager after the plugin is installed
$lang_plugin_maskurl['configure_x'] = 'Configure %s'; // The %s will be replaced with the name of your plugin, so you usually don't have to edit this line
$lang_plugin_maskurl['execute_x'] = 'Execute %s';
$lang_plugin_maskurl['announcement'] = 'Announcement thread';

// Strings used on the plugin's configuration panel (admin.php)
$lang_plugin_maskurl['submit'] = 'Submit';
$lang_plugin_maskurl['update_success'] = 'Plugin config updated';
$lang_plugin_maskurl['no_changes'] = 'No changes needed (or changes invalid)';
$lang_plugin_maskurl['mask_url'] = 'Mask Picture URL?';
$lang_plugin_maskurl['cleartext'] = 'Clear Text';
$lang_plugin_maskurl['mask'] = 'Mask URL';
$lang_plugin_maskurl['encrypt'] = 'Encrypt URL';
$lang_plugin_maskurl['dyn_encrypt'] = 'Encrypt URL with Dynamic IV';
$lang_plugin_maskurl['dyn_encrypt_comment'] = 'Unique IV generated on each page load and sent as cookie - URL for same image will differ on every page';
$lang_plugin_maskurl['encrypt_algorithm'] = 'Encryption Algorithm';
$lang_plugin_maskurl['encrypt_algorithm_comment'] = "(All installed encryption algorithms - default is 'rjindael-128' or AES-128)";
$lang_plugin_maskurl['encrypt_mode'] = 'Encryption Mode';
$lang_plugin_maskurl['encrypt_mode_comment'] = "(All installed encryption modes - default is 'cfb')";
$lang_plugin_maskurl['encrypt_refresh'] = 'Refresh Encryption Keys?';
$lang_plugin_maskurl['windows'] = 'Is webserver Windows OS?';
$lang_plugin_maskurl['windows_comment'] = 'Windows requires special encryption initialization if PHP < 5.3.0';
$lang_plugin_maskurl['url_external'] = "Use 'external' URL format";
$lang_plugin_maskurl['url_external_comment'] = 'Retrieves image without full CPG init. (see doc)';
// sample display of urls and settings
$lang_plugin_maskurl['sampleurl'] = 'Sample URLs with Current Settings:';
$lang_plugin_maskurl['defaulturl'] = 'Default Picture URL';
$lang_plugin_maskurl['currenturl'] = 'Picture URL with Current Settings';
$lang_plugin_maskurl['encrypt_settings'] = 'Encryption Settings';
$lang_plugin_maskurl['ciphers'] = 'Available Ciphers in your Installation';
$lang_plugin_maskurl['modes'] = 'Available Modes in your Installation';

// Error messages
$lang_plugin_maskurl['error_encrypt'] = 'Error initializing encryption - only Clear Text and Mask URL options available - Refresh Encryption Keys to retry';
$lang_plugin_maskurl['error_display'] = 'Error displaying requested photo';
$lang_plugin_maskurl['error_no_input'] = 'No photopath or key provided';
$lang_plugin_maskurl['error_dir_mismatch'] = 'Invalid Photopath - Mismatch to config directory';
$lang_plugin_maskurl['error_filetype'] = 'Invalid Photopath - Unsupported file type';
$lang_plugin_maskurl['error_invalid_char'] = 'Invalid Photopath - Invalid Characters';

// Documentation Options
$lang_plugin_maskurl['view_readme'] = 'View Readme Doc';
?>